- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Hash Struct Reference
Generic Value Hash management

Used to store the hash and its subtype. More...

## Data Fields
const Eina_Value_Type * | subtype
| how to allocate and access items
unsigned int | buckets_power_size
| how to allocate hash buckets, if zero a sane default is chosen. More...
Eina_Hash * | hash
| the hash that holds data, members are of subtype->value_size bytes. More...

## Detailed Description

Used to store the hash and its subtype.

Since
  1.2

## Field Documentation

unsigned int _Eina_Value_Hash::buckets_power_size

how to allocate hash buckets, if zero a sane default is chosen.

Eina_Hash* _Eina_Value_Hash::hash

the hash that holds data, members are of subtype->value_size bytes.